Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

Path Parameters

org_id
string
required

Unique identifier of the organization.

Response

200 - application/json

Successful response.

project_id
string

Unique string identifier of the project

name
string

Name of the project

description
string

Description of the project

created_at
string<date-time>

Timestamp of when the project was created

updated_at
string<date-time>

Timestamp of when the project was last updated

members
object[]

List of members belonging to the project

usecase
string | null

Configured use case for the project.

memory_depth
string

Memory extraction depth setting for this project.

inclusion_prompt
string | null

Custom prompt describing what should be included when extracting memories.

exclusion_prompt
string | null

Custom prompt describing what should be excluded when extracting memories.

custom_categories
object[]

List of custom categories configured for memory categorization in this project.

custom_instructions
string

Custom instructions for memory processing in this project.

update_custom_instructions
string | null

Custom instructions applied when updating existing memories.

summary_custom_instructions
string | null

Custom instructions applied when generating summaries.

summary_batch_size
integer

Number of items processed per batch when generating summaries.

summary_max_tokens
integer | null

Maximum tokens allowed in a generated summary.

expiration_date
string | null

Default expiration date applied to memories created in this project.

enable_graph
boolean

Whether graph memory is enabled for this project.

multilingual
boolean

Whether to use the input language for memory storage and retrieval.

version
string

API version used by this project.

is_default
boolean

Whether this is the organization's default project.

active_prompt_profile
string | null

Identifier of the active prompt profile for this project.

decay
boolean

Whether memory decay is enabled for this project.

user_role
string

Role of the requesting user within this project.